# Uses of Interface
org.jboss.modules.ModuleFinder

Packages that use ModuleFinder
Package
Description
org.jboss.modules
The primary JBoss Modules API.

## Uses of ModuleFinder in org.jboss.modules

Subinterfaces of ModuleFinder in org.jboss.modules
Modifier and Type
Interface
Description
`interface`
`IterableModuleFinder`
A module finder which is iterable.
Classes in org.jboss.modules that implement ModuleFinder
Modifier and Type
Class
Description
`class`
`FileSystemClassPathModuleFinder`
A module finder which loads modules from individual JARs or directories on the file system, supporting the JAR specification headers as well as the extended `MANIFEST` headers supported by JBoss Modules.
`final class`
`JarModuleFinder`
Deprecated.
`FileSystemClassPathModuleFinder` and/or `ResourceLoaderModuleFinder` should be used instead for more complete functionality.
`final class`
`JDKModuleFinder`
`final class`
`LocalModuleFinder`
A module finder which locates module specifications which are stored in a local module repository on the filesystem, which uses `module.xml` descriptors.
`final class`
`ResourceLoaderModuleFinder`
A module loader which loads modules which are stored inside the `modules` directory of a single JAR or JAR-like root.
Fields in org.jboss.modules declared as ModuleFinder
Modifier and Type
Field
Description
`static final ModuleFinder[]`
ModuleLoader.`NO_FINDERS`
A constant representing zero module finders.
Methods in org.jboss.modules that return ModuleFinder
Modifier and Type
Method
Description
`protected final ModuleFinder[]`
ModuleLoader.`getFinders()`
Get the module finders configured for this module loader.
Constructors in org.jboss.modules with parameters of type ModuleFinder
Modifier
Constructor
Description
``
`DelegatingModuleLoader(ModuleLoader delegate, ModuleFinder finder)`
Construct a new instance.
``
`DelegatingModuleLoader(ModuleLoader delegate, ModuleFinder[] finders)`
Construct a new instance.
``
`ModuleLoader(ModuleFinder finder)`
Construct a new instance.
``
`ModuleLoader(ModuleFinder[] finders)`
Construct a new instance.